Page MenuHomePhabricator

webproxy (squidguard) doesn't work
Closed, ResolvedPublic

Description

Exist few problem with webproxy squidguard.

  1. Problem with log files path in file /etc/squidguard/squidGuard.conf
dbhome //opt/vyatta/etc/config/url-filtering/squidguard/db
logdir /var/log/squid

must be

dbhome /opt/vyatta/etc/config/url-filtering/squidguard/db
logdir /var/log/squid3
  1. Squidguard database never won't updated without command squidGuard -C all. If add or delete ulr, it will not applied . set service webproxy url-filtering ...

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close

Event Timeline

Dmitry changed the task status from Open to In progress.Aug 1 2019, 9:34 PM
Dmitry triaged this task as High priority.
Dmitry created this task.
Dmitry created this object in space S1 VyOS Public.
pasik added a subscriber: pasik.Aug 5 2019, 9:18 PM
dmbaturin closed this task as Resolved.Aug 31 2019, 1:15 AM
dmbaturin claimed this task.
dmbaturin added a subscriber: dmbaturin.

Cherry-picked into crux.

syncer moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.